## kamoso 1.0.4

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

add_subdirectory(ca)
add_subdirectory(es)
add_subdirectory(de)
add_subdirectory(cz)
add_subdirectory(el)

=== po/ca/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ca ALL
			INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
			kamoso.po )

=== po/de/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(de ALL
			INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
			kamoso.po )

=== po/el/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(el ALL
			INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
			kamoso.po )

=== po/es/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(es ALL
			INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
			kamoso.po )

=== src/plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/plugins/youtube)
add_subdirectory(facebook)
add_subdirectory(execute)
add_subdirectory(youtube)
add_subdirectory(trash)

=== src/plugins/execute/CMakeLists.txt ===
set(execute_SRCS execute.cpp)
	

kde4_add_plugin(execute ${execute_SRCS})
target_link_libraries(execute
			${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}	
			${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY}
			kamosoplugin)

install(TARGETS execute DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES execute.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/facebook/CMakeLists.txt ===
add_subdirectory(icons)

set(facebook_SRCS
	facebook.cpp
	
	#from kipiplugins
	fbtalker.cpp mpform.cpp)

kde4_add_plugin(facebooksender ${facebook_SRCS})
target_link_libraries(facebooksender
			${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}	
			${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY}
			kamosoplugin)

install(TARGETS facebooksender DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES facebooksender.desktop DESTINATION ${SERVICES_INSTALL_DIR})

kde4_add_unit_test(facebooktest facebooktest.cpp ${facebook_SRCS})
target_link_libraries(facebooktest
			${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}	
			${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTTEST_LIBRARY}
			kamosoplugin)

=== src/plugins/trash/CMakeLists.txt ===
set(trash_SRCS trash.cpp)
	

kde4_add_plugin(trash ${trash_SRCS})
target_link_libraries(trash
			${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}	
			${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY}
			kamosoplugin)

install(TARGETS trash DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES trash.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/youtube/CMakeLists.txt ===
add_subdirectory(icons)

set(youtube_SRCS youtube.cpp youtubejob.cpp)

set(youtube_UI videoInfo.ui)
kde4_add_ui_files(youtube_SRCS ${youtube_UI})

kde4_add_plugin(youtube ${youtube_SRCS})
target_link_libraries(youtube
			${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}	
			${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY}
			kamosoplugin)

install(TARGETS youtube DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES youtube.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/facebook/icons/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${DATA_INSTALL_DIR}/kamoso_facebook/icons )

=== src/plugins/youtube/icons/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${DATA_INSTALL_DIR}/kamoso_youtube/icons )

## kamoso 1.0.5

=== CMakeLists.txt ===
project(kamoso)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

find_package(KDE4 REQUIRED)
find_package(LibV4L2 REQUIRED)
find_package(VLC REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(po)

=== src/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${VLC_INCLUDE_DIRS})

add_subdirectory(plugins)

set(kamoso_SRCS
	burstshootmode.cpp
	videoshootmode.cpp
	photoshootmode.cpp
	shootmode.cpp 
	thumbnailview.cpp
	kamoso.cpp
	main.cpp
	whitewidget.cpp
	whitewidgetmanager.cpp
	countdownwidget.cpp
	webcamwidget.cpp
	customDelegate.cpp
	timedpushbutton.cpp
	pluginmanager.cpp
	device.cpp
	devicemanager.cpp
	kamosojobtracker.cpp 
)

set(kamoso_UI mainWidget.ui generalConfig.ui pictureConfig.ui)

kde4_add_library(kamosoplugin SHARED kamosojob.cpp kamosoplugin.cpp)
target_link_libraries(kamosoplugin ${KDE4_KDEUI_LIBS})

kde4_add_kcfg_files(kamoso_SRCS settings.kcfgc)
kde4_add_ui_files(kamoso_SRCS ${kamoso_UI})
kde4_add_executable(kamoso ${kamoso_SRCS})
target_link_libraries(kamoso kamosoplugin ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS}
		${KDE4_SOLID_LIBS} ${KDE4_PHONON_LIBS} ${KDE4_KUTILS_LIBS} ${VLC_LIBRARIES} solidcontrol)

install(TARGETS kamoso ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kamosoplugin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kamoso.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES kamosoplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== po/cz/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(cz ALL
			INSTALL_DESTINATION ${LOCALE_INSTALL_DIR}
			kamoso.po )

=== debian/changelog ===
kamoso (1.0.5-0ubuntu4) maverick; urgency=low

  * armel-qmax-fix:
    - Fixes non existent call to qMax(qreal, double) on armel bug
    by casting double arg to qreal (LP: #642117)
  * vlc11-build-fix:
    - Replace libvlc_exception and lib_media_player_set_drawable
    related code and to build against vlc 1.1 (LP: #642705)

 -- Niall Creech <niallcreech@gmail.com>  Tue, 21 Sep 2010 11:20:44 +0100

kamoso (1.0.5-0ubuntu3) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 12 Jun 2010 04:12:59 +0200

kamoso (1.0.5-0ubuntu2) maverick; urgency=low

  * Transition from kde.mk to the KDE debhelper sequence from pkg-kde-tools:
    - Add build-depend on pkg-kde-tools 0.5.0 or greater
    - Use debhelper short rules with the KDE sequence in debian/rules
  * Transition to source format 3.0:
    - Bump debhelper build-depend version to 7.3.16 or greater
    - Add debian/source/format, specifying 3.0 (quilt)
  * Bump Standards-Version to 3.8.4
  * Add kubuntu_01_fix_compile.diff to cope with GCC changes that cause
    Kamoso to FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 05 Jun 2010 16:21:53 -0400

kamoso (1.0.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release (LP: #452715)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 15 Oct 2009 22:01:29 -0400

kamoso (1.0.3-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release (LP: #451791)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Oct 2009 20:32:54 -0400

kamoso (1.0.1-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release
  * Add lintian overrides (LP: #4285420)
  * Add manpage as generated by kdemangen.pl for easy maintenance

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 18 Sep 2009 18:35:15 +0200

kamoso (1.0-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #427841)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 11 Sep 2009 10:59:47 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdebase-workspace-dev (>= 4:4.4.85-0ubuntu2), libvlc-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-apps.org/content/show.php/Kamoso?content=111750
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kamoso/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kamoso/ubuntu

Package: kamoso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vlc
Description: Tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

## kamoso 2.0~alpha2

=== debian/changelog ===
kamoso (2.0~alpha2-0ubuntu2) natty; urgency=low

  * Add the missing dependency on gstreamer0.10-x. (Otherwise kamoso crashes)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 03 Feb 2011 18:40:53 -0500

kamoso (2.0~alpha2-0ubuntu1) natty; urgency=low

  * New upstream release
  * Added kipi-plugins to Recommends
  * Added (QT)GStreamer, shared-desktop-ontolgies and glib-dev to
    build-depends
  * kubuntu_01_fix_compile.diff vlc11-build-fix removed beacuse they are not
    needed anymore
  * Refreshed and renamed armel-fix-qmax to kubuntu_01_fix_qmax_on_armel.diff

 -- Michał Zając <quintasan@kubuntu.org>  Wed, 02 Feb 2011 18:11:29 +0100

## kamoso 2.0

=== debian/changelog ===
kamoso (2.0-0ubuntu1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Thu, 19 May 2011 15:43:34 +0000

kamoso (2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Drop kubuntu_01_fix_qmax_on_armel.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 May 2011 23:12:09 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdebase-workspace-dev (>= 4:4.4.85-0ubuntu2), libvlc-dev, libkipi-dev,
 qtgstreamer-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev,
 shared-desktop-ontologies, libglib2.0-dev
Standards-Version: 3.9.1
Homepage: http://www.kde-apps.org/content/show.php/Kamoso?content=111750
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kamoso/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kamoso/ubuntu

Package: kamoso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vlc, gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good, gstreamer0.10-x
Recommends: kipi-plugins,
Description: Tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

## kamoso 2.0.2

=== CMakeLists.txt ===
project(kamoso)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

find_package(KDE4 REQUIRED)
find_package(Kipi REQUIRED)
find_package(Phonon REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(GStreamer REQUIRED)
find_package(QtGStreamer REQUIRED)

macro_optional_find_package(Nepomuk)
macro_log_feature(NEPOMUK_FOUND "Nepomuk" "Handles all kinds of metadata on the KDE desktop to provide a semantic desktop" "http://nepomuk.kde.org/" FALSE "" "STRONGLY_RECOMMENDED: Nepomuk is used to provide metadata on objects like files, emails etc. to provide a semantic desktop.")
macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)
macro_display_feature_log()
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(icons)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ga)
add_subdirectory(nds)
add_subdirectory(gl)
add_subdirectory(zh_TW)
add_subdirectory(nl)
add_subdirectory(ca@valencia)
add_subdirectory(it)
add_subdirectory(pa)
add_subdirectory(el)
add_subdirectory(ca)
add_subdirectory(sk)
add_subdirectory(pt)
add_subdirectory(es)
add_subdirectory(en_GB)
add_subdirectory(lt)
add_subdirectory(da)
add_subdirectory(mai)
add_subdirectory(et)
add_subdirectory(uk)
add_subdirectory(eo)
add_subdirectory(fr)
add_subdirectory(pt_BR)
add_subdirectory(ja)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(cs)
add_subdirectory(ug)

=== src/pluginTester/CMakeLists.txt ===
set(pluginTester_SRCS
    main.cpp
    pluginTester.cpp
    fakekipiaction.cpp
    fakeinfoshared.cpp
    fakekipiinterface.cpp
    fakeimagecollectionshared.cpp
)

kde4_add_executable(kamosoPluginTester ${pluginTester_SRCS})

target_link_libraries(kamosoPluginTester ${KDE4_KDECORE_LIBRARY} ${KDE4_KIO_LIBRARY} ${KIPI_LIBRARIES})

# Not sure if we want to install this :/
install(TARGETS kamosoPluginTester ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/plugins/CMakeLists.txt ===
FIND_PACKAGE(KDE4 REQUIRED)

INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)


#
#Please, uncomment it only if you need
#

# FIND_PACKAGE(Kexiv2 REQUIRED)
# FIND_PACKAGE(Kdcraw REQUIRED)
FIND_PACKAGE(Kipi REQUIRED)
# FIND_PACKAGE(JPEG REQUIRED)
# FIND_PACKAGE(PNG REQUIRED)
# FIND_PACKAGE(TIFF REQUIRED)

# MACRO_OPTIONAL_FIND_PACKAGE(EXPAT)      # For DNGConverter: XMP SDK need Expat library to compile.
# MACRO_OPTIONAL_FIND_PACKAGE(Threads)    # For DNGConverter: DNG SDK need native threads support.
# MACRO_OPTIONAL_FIND_PACKAGE(LibXml2)    # For Htmlexport.
# MACRO_OPTIONAL_FIND_PACKAGE(LibXslt)    # For Htmlexport.
# MACRO_OPTIONAL_FIND_PACKAGE(OpenGL)     # For AdvancedSlideshow and ImageViewer.
# MACRO_OPTIONAL_FIND_PACKAGE(OpenCV)     # For RemoveRedEyes.
# MACRO_OPTIONAL_FIND_PACKAGE(Gpod)       # For ipodexport.
# MACRO_OPTIONAL_FIND_PACKAGE(Gdk)        # For ipodexport.
# MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)      # For ipodexport.
# MACRO_OPTIONAL_FIND_PACKAGE(GObject)    # For ipodexport.
# MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs) # For Calendar (libkcal).
# MACRO_OPTIONAL_FIND_PACKAGE(QCA2)       # For Shwup.

include_directories(${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/plugins/youtube)
add_subdirectory(youtube)

=== src/plugins/youtube/CMakeLists.txt ===
add_subdirectory(icons)

set(youtube_SRCS youtubemanager.cpp kipiplugin_youtube.cpp youtubejob.cpp youtubejobcomposite.cpp)

set(youtube_UI videoInfo.ui)
kde4_add_ui_files(youtube_SRCS ${youtube_UI})

kde4_add_plugin(kipiplugin_youtube ${youtube_SRCS})
target_link_libraries(kipiplugin_youtube
			${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}	
			${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${KIPI_LIBRARIES})

install(TARGETS kipiplugin_youtube DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kipiplugin_youtube.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kamoso (2.0.2-2ubuntu2) trusty; urgency=medium

  * Add kubuntu_avoid-phonon.patch to not use Phonon anywhere. In trusty
    phonon-backend-gstreamer uses gstreamer1 whereas kamoso still uses 0.10.
    This causes runtime symbol clashes when both gstreamers are loaded. Phonon
    is only used for audbile feedback when taking a snapshot, which is not
    a particularly important feature to the application at large.
    This patch also drops unused code portions elsewhere.
    The patch takes care to only comment out lines, to preserve line count for
    consistency of backtraces.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 12:50:49 +0200

kamoso (2.0.2-2ubuntu1) trusty; urgency=low

  * Demote kipi-plugins from recommends to suggests.
    Pulls in all sorts of nonesense on the ISO.

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 23 Nov 2013 16:59:29 +0100

kamoso (2.0.2-2) unstable; urgency=low

  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Bump debhelper compatibility level to 9. This enables the hardening flags.

  [ Pino Toscano ]
  * Fix the Vcs-* headers.
  * Backport upstream commit d3c5946f9f48f5d7a5249995424228fc51c84b67 to
    include a needed header; patch upstream_add-include.patch.
  * Backport upstream commits a0aec903b36b52bda1a9a5d2e875af1063747a86 and
    9f32257a1e930b16e64508e6fbfa9390fc0322ee to fix compatibility with libkipi
    2.x; patch upstream_libkipi-2.x.diff.
  * Backport part of upstream commit b8b03322d58a920deac198c2360d65deddccd610
    to rename the youtube icon to kipiplugin_youtube; patch
    upstream_rename-icons.diff. Since renaming sources is not viable, rename
    the actual icons at installation time.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2013 15:42:37 +0200

kamoso (2.0.2-1) unstable; urgency=low

  * Initial release (Closes: #577639)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 24 Jul 2011 01:20:38 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0),
 cmake, kdelibs5-dev, libkipi-dev,
 shared-desktop-ontologies,
 libqtgstreamer-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 libglib2.0-dev
Standards-Version: 3.9.4
Homepage: http://www.kde-apps.org/content/show.php/Kamoso?content=111750
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kamoso.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kamoso.git;a=summary

Package: kamoso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-x, gstreamer0.10-plugins-good
Suggests: kipi-plugins
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_install:
	dh_auto_install
	for icon in `find debian/kamoso -regextype posix-egrep -regex '.*/youtube\.(png|svgz)'`; do \
	  mv --verbose $$icon `echo $$icon | sed -r -e 's,\<youtube\>,kipiplugin_\0,g'`; \
	done

## kamoso 3.0.0

=== src/CMakeLists.txt ===
include_directories(${QTGSTREAMER_INCLUDE_DIR})

add_definitions(-DGST_DISABLE_DEPRECATED)
add_definitions(-fexceptions)
add_definitions(-DQT_NO_KEYWORDS)

qt5_add_resources(kamosoqml_SRCS resources.qrc)
kconfig_add_kcfg_files(kamosoqml_SRCS kamosoSettings.kcfgc GENERATE_MOC)

add_executable(kamoso
    devicemanager.cpp
    device.cpp
    whitewidgetmanager.cpp 
    whitewidget.cpp
    kamosodirmodel.cpp
    main.cpp
    kamoso.cpp
    previewfetcher.cpp
    video/webcamcontrol.cpp
    udev/udevqtclient.cpp
    udev/udevqtdevice.cpp

    ${kamosoqml_SRCS}
)

target_link_libraries(kamoso
    Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Quick Qt5::OpenGL
    KF5::Declarative KF5::KIOWidgets KF5::Solid KF5::KIOWidgets KF5::ConfigGui KF5::I18n
    Qt5GStreamer Qt5GStreamerQuick
    ${UDEV_LIBS}
)

install(TARGETS kamoso ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kamoso.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== debian/changelog ===
kamoso (3.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Updating watch file

 -- Clive Johnston <clivejo@aol.com>  Thu, 24 Sep 2015 17:33:54 +0100

kamoso (3.0.0~rc1-0ubuntu1) wily; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream snapshot of kf5 version
  * Port packaging to pkg-kde v3

 -- Clive Johnston <clivejo@aol.com>  Wed, 27 May 2015 23:21:56 +0100

kamoso (2.0.2-2ubuntu3) utopic; urgency=medium

  * Do not build with nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jul 2014 17:48:25 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kio-dev,
               libglib2.0-dev,
               libkf5configwidgets-dev,
               libkf5declarative-dev,
               libkf5purpose-dev,
               libkf5solid-dev,
               libqt5gstreamer-dev,
               libqt5opengl5-dev,
               libudev-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/multimedia/kamoso
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kamoso.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kamoso.git

Package: kamoso
Architecture: any
Depends: kio,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgstreamer,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-modules-org-kde-purpose,
         qtgstreamer-plugins-qt5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam
 offers, like taking pictures or recording videos and adds some extra
 features that will make the webcam usage both funnier and more
 useful.

=== debian/watch ===
version=3

http://download.kde.org/stable/kamoso/([\d\.]+)/src/kamoso-([\d\.]+).tar.xz
http://download.kde.org/unstable/kamoso/([\d\.]+)/src/kamoso-([\d\.]+).tar.xz

## kamoso 3.2.1

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR kamoso)

=== debian/changelog ===
kamoso (3.2.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.

  [ Rohan Garg ]
  * Fix watch file to take into account the xz extension
  * Add libkf5purpose-dev to build-depends
  * Drop all patches, irrelevant or applied upstream
  * Update rules
    - No need for special case handling anymore
  * Update Build-Depends
  * Drop kipi-plugins from Recommends
  * Add Depends on qml-modules-org-kde-purpose

  [ Maximiliano Curia ]
  * Set myself as uploader
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Dec 2016 21:03:15 +0100

kamoso (2.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
     Also include /usr/lib/<triplet>/gstreamer-<version>/include.
     (Closes: #801592)

 -- YunQiang Su <syq@debian.org>  Mon, 12 Oct 2015 18:11:57 +0800

kamoso (2.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Diane Trout ]
  * Update watch file to http://downloads.kde.org
  * Backport upstream commit b85e8c187b4eabf9765bc05348f6232ba32c9493
    to build against QtGstreamer 1.0 API
  * Change qt-gstreamer build and installation depends to 1.0 API.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Add fix-qt-gstreamer-1.0.diff to apply a few hacks to
    get the pipeline actually open the webcam and write files.

 -- Diane Trout <diane@ghic.org>  Wed, 27 May 2015 20:07:29 -0700

=== debian/control ===
Source: kamoso
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kio-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5purpose-dev,
               libqt5gstreamer-dev,
               libudev-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               shared-desktop-ontologies
Standards-Version: 3.9.8
Homepage: http://www.kde-apps.org/content/show.php/Kamoso?content=111750
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kamoso.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kamoso.git

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         qml-module-org-kde-purpose,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

## kamoso 3.2.4

=== CMakeLists.txt ===
project(Kamoso)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt5 NO_MODULE REQUIRED COMPONENTS Core Gui Widgets Quick)
find_package(KF5 REQUIRED COMPONENTS Config DocTools KIO Declarative I18n)

find_package(Qt5GStreamer 1.1.90 REQUIRED)
find_package(KDEExperimentalPurpose REQUIRED)
find_package(UDev REQUIRED)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddTests)
include(FeatureSummary)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)

install(FILES org.kde.kamoso.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-apps-kamoso.png
    22-apps-kamoso.png
    32-apps-kamoso.png
    48-apps-kamoso.png
    64-apps-kamoso.png
    sc-apps-kamoso.svgz
    sc-actions-shoot.svgz
    sc-actions-burst.svgz
    sc-actions-record.svgz
THEME hicolor
DESTINATION ${ICON_INSTALL_DIR} )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 )
 
 target_link_libraries(kamoso
-    Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Quick Qt5::OpenGL
-    KF5::Declarative KF5::KIOWidgets KF5::Solid KF5::KIOWidgets KF5::ConfigGui KF5::I18n
+    Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Quick
+    KF5::Declarative KF5::KIOWidgets KF5::KIOWidgets KF5::ConfigGui KF5::I18n
     Qt5GStreamer Qt5GStreamerQuick
     ${UDEV_LIBS}
 )

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR kamoso)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR kamoso)

=== debian/changelog ===
kamoso (3.2.4-1) unstable; urgency=medium

  * Team upload.

  [ Rohan Garg ]
  * New upstream release

  [ Pino Toscano ]
  * Update Vcs-* fields.
  * Replace deprecated build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Remove extra shared-desktop-ontologies build dependency.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Jun 2017 21:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,23 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                extra-cmake-modules,
-               kdoctools-dev,
-               kio-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libkf5config-dev,
                libkf5declarative-dev,
+               libkf5doctools-dev,
                libkf5i18n-dev,
+               libkf5kio-dev,
                libkf5purpose-dev,
                libqt5gstreamer-dev,
                libudev-dev,
                pkg-kde-tools (>= 0.5.0),
                qtbase5-dev,
-               shared-desktop-ontologies
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.kde-apps.org/content/show.php/Kamoso?content=111750
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kamoso.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kamoso.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kamoso.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kamoso.git
 
 Package: kamoso
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/kamoso/([\d\.]*)/src/kamoso-([\d\.]*)\.tar\.(?:bz2|xz)

## kamoso 18.04.0

=== debian/changelog ===
kamoso (18.04.0-3) unstable; urgency=medium

  * Team upload.
  * Make the test suite non-fatal for now, as there are failures (in LLVM?)
    at least on armhf, and mips64el.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 23:21:22 +0200

kamoso (18.04.0-2) unstable; urgency=medium

  * Team upload.
  * Bump the libkf5purpose-dev build dependency to >= 5.44.0~, to make sure
    to build with the Frameworks version of it.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 11:37:59 +0200

kamoso (18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file, as it is part of Applications now.
  * Update the build dependencies:
    - remove libkf5declarative-dev, libqt5gstreamer-dev, and libudev-dev:
      no more needed
    - add libqt5opengl5-dev, and qtdeclarative5-dev
    - bump the version of libkf5purpose-dev to >= 5.44.0~, to make sure the
      Frameworks version is used
  * Switch Maintainer to Debian/Kubuntu Qt/KDE Maintainers, like the other
    sources of Applications.
  * Bump Priority to optional, like generally used (also extra is deprecated).
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Make sure the test suite can be run:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test under xvfb-run
    - add the gstreamer1.0-plugins-base build dependency, since it contains
      gstreamer elements used by the test suite
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch Homepage to https://userbase.kde.org/Kamoso.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 08:58:46 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               extra-cmake-modules,
               gstreamer1.0-plugins-base,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5config-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5purpose-dev (>= 5.44.0~),
               libqt5opengl5-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://userbase.kde.org/Kamoso
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamoso.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamoso

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         qml-module-org-kde-purpose,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

## kamoso 18.04.3

=== debian/changelog ===
kamoso (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:56 +0100

kamoso (18.04.0-0ubuntu1) UNRELEASED; urgency=medium

  * New build dep on libqt5opengl5-dev
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Apr 2018 19:44:18 +0000

kamoso (3.1.0-0r1) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * New upstream release.

  [ Rohan Garg ]
  * Fix watch file to take into account the xz extension
  * Add libkf5purpose-dev to build-depends
  * Drop all patches, irrelevant or applied upstream
  * Update rules
    - No need for special case handling anymore
  * Update Build-Depends
  * Drop kipi-plugins from Recommends
  * Add Depends on qml-modules-org-kde-purpose

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 13 Dec 2015 14:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,12 @@
 Architecture: any
 Depends: gstreamer1.0-plugins-good,
          gstreamer1.0-x,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-purpose,
+         qml-module-qt-labs-folderlistmodel,
+         qml-module-qt-labs-settings,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-dialogs,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: tool to take pictures and videos from your webcam

## kamoso 18.12.3

=== debian/changelog ===
kamoso (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:58 +0000

kamoso (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:21 +0000

kamoso (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:41 +0000

kamoso (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * Add explicit runtime dep on qml-module-qtquick-layouts as requested
    by cmake.
  * Add debian/meta/cmake-ignore to make Kubuntu CI happy about runtime
    deps not being present at build time.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:20 +0000

kamoso (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - New build dep on kirigami2-dev.
    - Additional qml runtime deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 10:04:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper (>= 11~),
                extra-cmake-modules,
                gstreamer1.0-plugins-base,
+               kirigami2-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
@@ -23,8 +24,8 @@
                xvfb,
 Standards-Version: 4.1.4
 Homepage: https://userbase.kde.org/Kamoso
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamoso.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamoso
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso
 
 Package: kamoso
 Architecture: any
@@ -36,6 +37,7 @@
          qml-module-qt-labs-settings,
          qml-module-qtquick-controls,
          qml-module-qtquick-dialogs,
+         qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: tool to take pictures and videos from your webcam

## kamoso 19.04.3

=== debian/changelog ===
kamoso (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:38 +0100

kamoso (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:35 +0100

kamoso (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:38 +0100

kamoso (19.04.0-0ubuntu1) eoan; urgency=medium

  * New build dep on libkf5notifications-dev.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:02 +0100

## kamoso 19.08.3

=== debian/changelog ===
kamoso (19.08.3-2) unstable; urgency=medium

  * Add missing build dependency to libkf5notifications-dev.
  * Make build dependencies to KDE Frameworks >= 5.56 according to the
    upstream build system.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Dec 2019 00:02:14 +0100

kamoso (19.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (19.08.3).
  * Move debian/copyright to machine readable format 1.0 and complete
    review.
  * debian/control:
    - move to debhelper-compat, bump version to 12
    - set Rules-Requires-Root: no
    - point to new Homepage URL
  * Add hardening=+all build option.
  * Bump standards version to 4.4.1 (no change needed).
  * Add upstream signing key and signature check in debian/watch.

  [ Maximiliano Curia ]
  * New revision

  [ John Scott ]
  * Add qml-module-org-kde-kirigami2 dependency (Closes: #914441).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Dec 2019 09:15:59 +0100

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules,
               gstreamer1.0-plugins-base,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5config-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5purpose-dev (>= 5.56.0~),
               libqt5opengl5-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
Standards-Version: 4.4.1
Homepage: https://kde.org/applications/multimedia/org.kde.kamoso
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamoso.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamoso
Rules-Requires-Root: no

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         qml-module-org-kde-purpose,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	-xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" -- \
	  dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpmode=auto https://download.kde.org/stable/applications/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kamoso 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(Kamoso VERSION ${KDE_APPLICATIONS_VERSION})

set(KF5_MIN_VERSION 5.63.0)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt5 NO_MODULE REQUIRED COMPONENTS Core Gui Widgets Quick Test OpenGL)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config DocTools KIO I18n Purpose Notifications)

find_package(GStreamer 1.1.90 REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(GObject REQUIRED)

find_package(KF5Kirigami2)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime"
    TYPE RUNTIME
)

include(ECMQMLModules)
ecm_find_qmlmodule(QtGraphicalEffects 1.0)
ecm_find_qmlmodule(QtQml 2.2)
ecm_find_qmlmodule(QtQuick 2.5)
ecm_find_qmlmodule(QtQuick.Controls 1.2)
ecm_find_qmlmodule(QtQuick.Dialogs 1.0)
ecm_find_qmlmodule(QtQuick.Layouts 1.1)
ecm_find_qmlmodule(QtQuick.Window 2.2)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddTests)
include(FeatureSummary)
include(ECMSetupVersion)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)

install(FILES org.kde.kamoso.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,6 @@
     48-apps-kamoso.png
     64-apps-kamoso.png
     sc-apps-kamoso.svgz
-    sc-actions-shoot.svgz
     sc-actions-burst.svgz
-    sc-actions-record.svgz
 THEME hicolor
 DESTINATION ${ICON_INSTALL_DIR} )

=== debian/changelog ===
kamoso (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:06:13 +0000

kamoso (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:29 +0000

kamoso (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:26 +0000

kamoso (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:59 +0000

kamoso (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:45 +0000

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               extra-cmake-modules,
               gstreamer1.0-plugins-base,
               kirigami2-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5config-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5purpose-dev (>= 5.44.0~),
               libqt5opengl5-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://userbase.kde.org/Kamoso
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-purpose,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with kf5

## kamoso 20.08.2

=== debian/changelog ===
kamoso (20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:32 +0100

kamoso (20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:46:57 +0200

kamoso (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.70.0

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 12:02:51 +0200

kamoso (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Explicitly add the gettext build dependency.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 11:46:58 +0200

kamoso (20.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.1).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 05 Jun 2020 11:51:35 +0200

kamoso (20.04.0-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.04.0):
    - Bump KDE frameworks required version to 5.63 or greater.
  * Update debian/watch to new release-service URL.
  * Fix typo in CC0-1.0 header stanza in debian/copyright.
  * Borrow minimal upstream signing key from k3b.
  * Refresh and simplify copyright information.
  * Remove explicit --as-needed from linker flags, it’s now injected by
    default.
  * Bump standards version to 4.5.0 (no change required).
  * Bump debhelper compat level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 May 2020 15:53:42 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               gstreamer1.0-plugins-base,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libkf5config-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               libkf5purpose-dev (>= 5.70.0~),
               libqt5opengl5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/multimedia/org.kde.kamoso
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamoso.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamoso
Rules-Requires-Root: no

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         qml-module-org-kde-purpose,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.
